1. Reference
Fotor OpenAPI
  • Getting Started
    • Introduction
    • Access and Authentication
    • For Serverless Clients
    • Token Consumption
  • Reference
    • Get User Token Balance
      GET
    • Query Task Details
      GET
    • AI Upscaler API
      POST
    • AI Skin Retouch API
      POST
    • Image Generation API
      POST
    • Text to Image API
      POST
    • Image to Image (AI Art Effects) API
      POST
    • Background Remover API
      POST
    • AI Headshot API
      POST
    • Photo Colorize API
      POST
    • Photo Restoration API
      POST
    • AI Replace API
      POST
    • AI Expand API
      POST
    • AI Baby Generator API
      POST
  • Webhook
    • Webhook
  • AI Editor SDK
    • Getting Started
    • Get Sdk Temporary Token
      GET
  • Schemas
    • RecolorRequest
    • MiniappsRequest
    • SubmitResponse
    • ErrorResponse
  1. Reference

AI Skin Retouch API

POST
/v1/aiart/retouchskin
Image Format Requirements:
Supported formats: JPEG, JPG, PNG.
Maximum image size: 6 MB.
Image resolution: greater than 128×128 pixels and less than or equal to 5000×5000 pixels, with the longest side not exceeding 5000 pixels.
Image Content: Must contain 1 to 10 portraits with a significant skin area.
URL: The URL should not contain Chinese characters.
Note: If the image resolution exceeds the maximum limit, please resize the image first before uploading.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Header Params

Body Params application/json

Example
{
    "userImageUrl": "https://pub-static.fotor.com/assets/goart-effects/examples/mini-figure-after.jpg"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-b.fotor.com/v1/aiart/retouchskin' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "userImageUrl": "https://pub-static.fotor.com/assets/goart-effects/examples/mini-figure-after.jpg"
}'

Responses

🟢200success
application/json
Bodyapplication/json

Example
{
    "code": "000",
    "msg": "success",
    "data": {
        "taskId": "e0dc194703174b6eafeacb4ee8e02850"
    }
}
Modified at 2026-09-21 11:43:12
Previous
AI Upscaler API
Next
Image Generation API
Built with